API DocumentationTask
Get task detail by ID
Returns a single task
Authorization
bearerAuth AuthorizationBearer <token>
In all requests that require authentication, please add the following to the HTTP header:
In: header
Path Parameters
taskId*string
ID of task to return
Response Body
application/json
curl -X GET "https://api.pixai.art/v1/task/string"{
"id": "string",
"status": "waiting",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"startedAt": "2019-08-24T14:15:22Z",
"endAt": "2019-08-24T14:15:22Z",
"outputs": {
"mediaIds": [
"string"
],
"mediaUrls": [
"string"
]
}
}Empty
Create an image generation task POST
Start to generate a new image using the simplified v2 API. The v2 API provides a streamlined interface with user-friendly parameters such as `aspectRatio`, `mode`, and named `style` presets, replacing the raw pixel dimensions and internal parameter names of v1.
Get media by ID GET
Get media by ID